Skip to main content
POST
/
action
/
hubspot.v2.lookup_object
Look up HubSpot Object
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/hubspot.v2.lookup_object \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "object_type": "<string>",
  "object_id": "{{contact_id}}",
  "output_variable_name": "retrieved_object",
  "properties": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
object_type
string
required
object_id
string
default:{{contact_id}}
required

The unique ID of the HubSpot object to retrieve.

output_variable_name
string
default:retrieved_object
required

Variable name to store the retrieved object.

properties
string

Select properties to retrieve

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action